Forums Neueste Beiträge
 

Code Access Security

17/06/2008 - 09:44 von Sascha B | Report spam
Hallo,

ich glaub die Frage ist trivial, aber ich wollte doch lieber nachhaken.

wenn ich in .Net 2 eine Permissiongroup anlege und das auch mit einer .net 2
kompilierten anwendung ausführe, wirde es ja einwandfrei funktionieren.

Doch wenn ich zb die Anwenudng auf .net 3.5 aktualisiere. Wird es
möglicherweise Probleme gebe, oder arbeitet die Security dabei Versionsfrei?
 

Lesen sie die antworten

#1 Frank Dzaebel
18/06/2008 - 08:06 | Warnen spam
Hallo Sascha,

Doch wenn ich zb die Anwendung auf .net 3.5 aktualisiere. Wird es
möglicherweise Probleme gebe, oder arbeitet die Security dabei
Versionsfrei?



Arbeitet korrekt weiter, denn die CLR, auf der die CAS basiert, ist
ja weiterhin .NET 2.0 (SP1), auch in .NET Framework 3.5. Die Anzahl
der "breaking changes" von .NET 2.0 auf 3.5 ist *àusserst* minimal.


ciao Frank
Dipl.Inf. Frank Dzaebel [MCP/MVP C#]
http://Dzaebel.NET

Ähnliche fragen